IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[privateview_6]') AND type = 'V')
DROP VIEW [dbo].[privateview_6]
GO
CREATE VIEW [dbo].[privateview_6]
AS
select bc.bc_company,bc.bc_id,dp_depart,dp_id objid
frommps_depart dp with(nolock),
mps_branch bc  with(nolock)
where   bc.bc_id = dp.dp_bcid